-- The Ada Milter API test milter
-- Copyright 2012 - 2013 B. Persson, Bjorn@Rombobeorn.se
--
-- This program is free software: you can redistribute it and/or modify it
-- under the terms of the GNU General Public License version 3, as published
-- by the Free Software Foundation.


with Test_Milter_Package;
with Ada.Command_Line;
with System_Log; use System_Log;

pragma Interrupt_State (Name => SIGSEGV, State => SYSTEM);

procedure Test_Milter is
begin
   Open_Log("test_milter", Mail, Include_PID => True);
   Set_Log_Threshold(Debug);
   Ada.Command_Line.Set_Exit_Status(Test_Milter_Package.Run);
   Log(Info, "Terminating.");
end Test_Milter;
